Bug 113097 - kernel BUG error and system freeze after mem upgrade
kernel BUG error and system freeze after mem upgrade
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-08 10:10 EST by Jim Hanley
Modified: 2015-01-04 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Hanley 2004-01-08 10:10:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)
Gecko/20030624

Description of problem:
Original configuration:  Intel Motherboard (SE440BX-2) with 1 128MB
DIMM.  System ran fine except for thrashing when running memory
expensive applications (pan, openoffice, modzilla, etc)

Upgraded BIOS to allow the use of 256MB DIMMs and expand the Max
allowable config from 384MB to 768MB.  Ran with new BIOS for two weeks
with no problem.

Added 512MB (by adding 2 256MB DIMMs) for a total of 640MB.  BIOS post
test found no problems with memory, but system would periodically
freeze up and stop responding to the network.

Version-Release number of selected component (if applicable):
kernel-2.4.20-20.9

How reproducible:
Always

Steps to Reproduce:
1.Boot System
2.Run a number of memory intensive apps (modzilla, pan, openoffice, or
lot's of small jobs.)


Actual Results:  The system will eventually freeze up.  The speed at
which this happens seems to be dependant on the number of tasks
concurrently running.

Expected Results:  Continue Running.

Additional info:

The machine is also running samba, named, sshd, apache, mysql,
mailman, fetchmail, postfix, squirrelmail....


This was found in /var/log/messages:

Dec 29 02:05:01 lava kernel: ------------[ cut here ]------------
Dec 29 02:05:01 lava kernel: kernel BUG at page_alloc.c:139!
Dec 29 02:05:01 lava kernel: invalid operand: 0000
Dec 29 02:05:01 lava kernel: ymfpci ac97_codec uart401 sound soundcore
binfmt_misc parport_pc lp parport autofs ne2k-pci 8390 ipt_REJECT
iptable_filter ip_tables sg sr_mod ide-scsi scsi_m
Dec 29 02:05:01 lava kernel: CPU:    0
Dec 29 02:05:01 lava kernel: EIP:    0060:[<c013e91d>]    Not tainted
Dec 29 02:05:01 lava kernel: EFLAGS: 00010202
Dec 29 02:05:01 lava kernel: 
Dec 29 02:05:01 lava kernel: EIP is at __free_pages_ok [kernel] 0xdd
(2.4.20-20.9)
Dec 29 02:05:01 lava kernel: eax: 01000050   ebx: c185d118   ecx:
c1000030   edx: 263a54a8
Dec 29 02:05:01 lava kernel: esi: 00000000   edi: 00000000   ebp:
00000000   esp: cc439eb4
Dec 29 02:05:01 lava kernel: ds: 0068   es: 0068   ss: 0068
Dec 29 02:05:01 lava kernel: Process python (pid: 4612,
stackpage=cc439000)
Dec 29 02:05:01 lava kernel: Stack: 00000000 c1870ba8 cd2a5400
00000000 df9ab680 cd2a5400 df9ab680 cc42239c 
Dec 29 02:05:01 lava kernel:        cc42239c 000a6000 c185d118
cc42239c 000a6000 263bb025 c012edec c185d118 
Dec 29 02:05:01 lava kernel:        0009f000 c0131457 d2e0d980
0809f000 cc42239c c011750c 0000008d 08400000 
Dec 29 02:05:01 lava kernel: Call Trace:   [<c012edec>] __free_pte
[kernel] 0x4c (0xcc439eec))
Dec 29 02:05:01 lava kernel: [<c0131457>] zap_pte_range [kernel] 0x137
(0xcc439ef8))
Dec 29 02:05:01 lava kernel: [<c011750c>] do_page_fault [kernel] 0x16c
(0xcc439f08))
Dec 29 02:05:01 lava kernel: [<c012f45b>] zap_page_range [kernel] 0xcb
(0xcc439f20))
Dec 29 02:05:01 lava kernel: [<c01329df>] exit_mmap [kernel] 0xaf
(0xcc439f60))
Dec 29 02:05:01 lava kernel: [<c011a42a>] mmput [kernel] 0x4a
(0xcc439f84))
Dec 29 02:05:01 lava kernel: [<c011f911>] do_exit [kernel] 0xf1
(0xcc439f94))
Dec 29 02:05:01 lava kernel: [<c011fbb4>] do_group_exit [kernel] 0x54
(0xcc439fb0))
Dec 29 02:05:01 lava kernel: [<c010953f>] system_call [kernel] 0x33
(0xcc439fc0))
Dec 29 02:05:01 lava kernel: 
Dec 29 02:05:01 lava kernel: 
Dec 29 02:05:01 lava kernel: Code: 0f 0b 8b 00 6a 1a 26 c0 b8 02 00 00
00 0f b3 43 18 b8 04 00 
Dec 31 06:15:02 lava kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000074
Dec 31 06:15:02 lava kernel:  printing eip:
Dec 31 06:15:02 lava kernel: c014452b
Dec 31 06:15:02 lava kernel: *pde = 1f319067
Dec 31 06:15:02 lava kernel: *pte = 00000000
Dec 31 06:15:02 lava kernel: Oops: 0000
Dec 31 06:15:02 lava kernel: ymfpci ac97_codec uart401 sound soundcore
binfmt_misc parport_pc lp parport autofs ne2k-pci 8390 ipt_REJECT
iptable_filter ip_tables sg sr_mod ide-scsi scsi_m
Dec 31 06:15:02 lava kernel: CPU:    0
Dec 31 06:15:02 lava kernel: EIP:    0060:[<c014452b>]    Not tainted
Dec 31 06:15:02 lava kernel: EFLAGS: 00013202
Dec 31 06:15:02 lava kernel: 
Dec 31 06:15:02 lava kernel: EIP is at page_referenced [kernel] 0x21b
(2.4.20-20.9)
Dec 31 06:15:02 lava kernel: eax: c128b730   ebx: 0000036c   ecx:
00000000   edx: 00000001
Dec 31 06:15:02 lava kernel: esi: 0000001d   edi: e4cc5e80   ebp:
00000001   esp: e7ff3f84
Dec 31 06:15:02 lava kernel: ds: 0068   es: 0068   ss: 0068
Dec 31 06:15:02 lava kernel: Process kscand/Normal (pid: 7,
stackpage=e7ff3000)
Dec 31 06:15:02 lava kernel: Stack: e4cc5200 00000000 00000001
e7ff3fb4 c1877d30 c1877d30 c0310c4c c1879524 
Dec 31 06:15:02 lava kernel:        00000003 c013ca3e 00000000
e7ff2000 00000001 00000003 e7ff2000 c0310a80 
Dec 31 06:15:02 lava kernel:        e7ff2000 c013dc54 c0310a80
00000003 00000000 c0261a5b 000009c4 c013db60 
Dec 31 06:15:02 lava kernel: Call Trace:   [<c013ca3e>]
scan_active_list [kernel] 0x3e (0xe7ff3fa8))
Dec 31 06:15:02 lava kernel: [<c013dc54>] kscand [kernel] 0xf4
(0xe7ff3fc8))
Dec 31 06:15:02 lava kernel: [<c013db60>] kscand [kernel] 0x0
(0xe7ff3fe0))
Dec 31 06:15:02 lava kernel: [<c010742d>] kernel_thread_helper
[kernel] 0x5 (0xe7ff3ff0))
Dec 31 06:15:02 lava kernel: 
Dec 31 06:15:02 lava kernel: 
Dec 31 06:15:02 lava kernel: Code: 8b 41 74 39 41 60 0f 43 54 24 04 45
4e 89 54 24 04 0f 89 3e 
Dec 31 14:55:01 lava kernel:  memory.c:172: bad pmd 00080000.
Dec 31 19:03:55 lava kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000078
Dec 31 19:03:55 lava kernel:  printing eip:
Dec 31 19:03:55 lava kernel: c015fc9d
Dec 31 19:03:55 lava kernel: *pde = 00000000
Dec 31 19:03:55 lava kernel: Oops: 0000
Dec 31 19:03:55 lava kernel: ymfpci ac97_codec uart401 sound soundcore
binfmt_misc parport_pc lp parport autofs ne2k-pci 8390 ipt_REJECT
iptable_filter ip_tables sg sr_mod ide-scsi scsi_m
Dec 31 19:03:55 lava kernel: CPU:    0
Dec 31 19:03:55 lava kernel: EIP:    0060:[<c015fc9d>]    Not tainted
Dec 31 19:03:55 lava kernel: EFLAGS: 00010292
Dec 31 19:03:55 lava kernel: 
Dec 31 19:03:55 lava kernel: EIP is at dnotify_flush [kernel] 0x1d
(2.4.20-20.9)
Dec 31 19:03:55 lava kernel: eax: dcaefe80   ebx: d00ca800   ecx:
00000000   edx: 00000046
Dec 31 19:03:55 lava kernel: esi: e09c8b00   edi: d00ca800   ebp:
00000001   esp: d4ff5f4c
Dec 31 19:03:55 lava kernel: ds: 0068   es: 0068   ss: 0068
Dec 31 19:03:55 lava kernel: Process pickup (pid: 15687,
stackpage=d4ff5000)
Dec 31 19:03:55 lava kernel: Stack: 00004000 e5f90100 d00ca800
e09c8b00 00000000 c0146aea d00ca800 e09c8b00 
Dec 31 19:03:55 lava kernel:        00000001 00000007 e09c8b00
c011f23c d00ca800 e09c8b00 df9ab380 00000000 
Dec 31 19:03:55 lava kernel:        d4ff4000 00000000 c011f930
e09c8b00 00000292 00000000 d4ff4000 4045eb4c 
Dec 31 19:03:55 lava kernel: Call Trace:   [<c0146aea>] filp_close
[kernel] 0x3a (0xd4ff5f60))
Dec 31 19:03:55 lava kernel: [<c011f23c>] put_files_struct [kernel]
0x6c (0xd4ff5f78))
Dec 31 19:03:55 lava kernel: [<c011f930>] do_exit [kernel] 0x110
(0xd4ff5f94))
Dec 31 19:03:55 lava kernel: [<c011fbb4>] do_group_exit [kernel] 0x54
(0xd4ff5fb0))
Dec 31 19:03:55 lava kernel: [<c010953f>] system_call [kernel] 0x33
(0xd4ff5fc0))
Dec 31 19:03:55 lava kernel: 
Dec 31 19:03:55 lava kernel: 
Dec 31 19:03:55 lava kernel: Code: 0f b7 42 32 25 00 f0 ff ff 66 3d 00
40 74 14 8b 5c 24 08 8b 
Jan  1 02:09:31 lava kernel:  <1>Unable to handle kernel paging
request at virtual address 6c657260
Jan  1 02:09:31 lava kernel:  printing eip:
Jan  1 02:09:31 lava kernel: c015c4e1
Jan  1 02:09:31 lava kernel: *pde = 00000000
Jan  1 02:09:31 lava kernel: Oops: 0000
Jan  1 02:09:31 lava kernel: ymfpci ac97_codec uart401 sound soundcore
binfmt_misc parport_pc lp parport autofs ne2k-pci 8390 ipt_REJECT
iptable_filter ip_tables sg sr_mod ide-scsi scsi_m
Jan  1 02:09:31 lava kernel: CPU:    0
Jan  1 02:09:31 lava kernel: EIP:    0060:[<c015c4e1>]    Not tainted
Jan  1 02:09:31 lava kernel: EFLAGS: 00010a87
Jan  1 02:09:31 lava kernel: 
Jan  1 02:09:31 lava kernel: EIP is at d_lookup [kernel] 0x61
(2.4.20-20.9)
Jan  1 02:09:31 lava kernel: eax: e7e03290   ebx: 6c65722c   ecx:
00000011   edx: e7e00000
Jan  1 02:09:31 lava kernel: esi: 6c65721c   edi: d37e7800   ebp:
0f13111f   esp: e05e1ee0
Jan  1 02:09:31 lava kernel: ds: 0068   es: 0068   ss: 0068
Jan  1 02:09:31 lava kernel: Process cleanup (pid: 16970,
stackpage=e05e1000)
Jan  1 02:09:31 lava kernel: Stack: c01528cb e8822e80 c28ec009
ffffffec 6c65721c e7e03290 c28ec009 0000000c 
Jan  1 02:09:31 lava kernel:        00000000 e74b1c80 d37e7800
e05e1f8c c01528cb d37e7800 e05e1f8c 00000000 
Jan  1 02:09:31 lava kernel:        c0153592 d37e7800 e05e1f8c
00000000 ffffffeb 000000c3 d37e7800 e05e1f84 
Jan  1 02:09:31 lava kernel: Call Trace:   [<c01528cb>] cached_lookup
[kernel] 0x1b (0xe05e1ee0))
Jan  1 02:09:31 lava kernel: [<e8822e80>] ext3_lookup [ext3] 0x0
(0xe05e1ee4))
Jan  1 02:09:31 lava kernel: [<c01528cb>] cached_lookup [kernel] 0x1b
(0xe05e1f10))
Jan  1 02:09:31 lava kernel: [<c0153592>] lookup_hash [kernel] 0x72
(0xe05e1f20))
Jan  1 02:09:31 lava kernel: [<c0153b07>] open_namei [kernel] 0x307
(0xe05e1f40))
Jan  1 02:09:31 lava kernel: [<c0146679>] filp_open [kernel] 0x49
(0xe05e1f70))
Jan  1 02:09:31 lava kernel: [<c0146a33>] sys_open [kernel] 0x53
(0xe05e1fa8))
Jan  1 02:09:31 lava kernel: [<c010953f>] system_call [kernel] 0x33
(0xe05e1fc0))
Jan  1 02:09:31 lava kernel: 
Jan  1 02:09:31 lava kernel: 
Jan  1 02:09:31 lava kernel: Code: 39 6e 44 8b 1b 75 e8 8b 7c 24 34 39
7e 0c 75 df 8b 57 4c 85 
Jan  1 04:02:09 lava kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000034
Jan  1 04:02:09 lava kernel:  printing eip:
Jan  1 04:02:09 lava kernel: c015c4e1
Jan  1 04:02:09 lava kernel: *pde = 00000000
Jan  1 04:02:09 lava kernel: Oops: 0000
Jan  1 04:02:09 lava kernel: ymfpci ac97_codec uart401 sound soundcore
binfmt_misc parport_pc lp parport autofs ne2k-pci 8390 ipt_REJECT
iptable_filter ip_tables sg sr_mod ide-scsi scsi_m
Jan  1 04:02:09 lava kernel: CPU:    0
Jan  1 04:02:09 lava kernel: EIP:    0060:[<c015c4e1>]    Not tainted
Jan  1 04:02:09 lava kernel: EFLAGS: 00010203
Jan  1 04:02:09 lava kernel: 
Jan  1 04:02:09 lava kernel: EIP is at d_lookup [kernel] 0x61
(2.4.20-20.9)
Jan  1 04:02:09 lava kernel: eax: e7e77080   ebx: 00000000   ecx:
00000011   edx: e7e00000
Jan  1 04:02:09 lava kernel: esi: fffffff0   edi: 00000000   ebp:
2462f5f2   esp: e05cde8c
Jan  1 04:02:09 lava kernel: ds: 0068   es: 0068   ss: 0068
Jan  1 04:02:09 lava kernel: Process find (pid: 17339, stackpage=e05cd000)
Jan  1 04:02:09 lava kernel: Stack: 0008054c e8822f1b e0baa500
e0ba9680 fffffff0 e7e77080 c0cfe000 0000001a 
Jan  1 04:02:09 lava kernel:        c0cfe000 c0cfe01a 00000000
e05cdf48 c01528cb dd039600 e05cdeec c0cfe000 
Jan  1 04:02:09 lava kernel:        c0152f19 dd039600 e05cdeec
00000000 00000008 00000000 c9aa5680 00000000 
Jan  1 04:02:09 lava kernel: Call Trace:   [<e8822f1b>] ext3_lookup
[ext3] 0x9b (0xe05cde90))
Jan  1 04:02:09 lava kernel: [<c01528cb>] cached_lookup [kernel] 0x1b
(0xe05cdebc))
Jan  1 04:02:09 lava kernel: [<c0152f19>] link_path_walk [kernel]
0x3d9 (0xe05cdecc))
Jan  1 04:02:09 lava kernel: [<c0153409>] path_lookup [kernel] 0x39
(0xe05cdf0c))
Jan  1 04:02:09 lava kernel: [<c01536a9>] __user_walk [kernel] 0x49
(0xe05cdf1c))
Jan  1 04:02:09 lava kernel: [<c014f01f>] vfs_lstat [kernel] 0x1f
(0xe05cdf38))
Jan  1 04:02:09 lava kernel: [<c014f67b>] sys_lstat64 [kernel] 0x1b
(0xe05cdf70))
Jan  1 04:02:09 lava kernel: [<c010953f>] system_call [kernel] 0x33
(0xe05cdfc0))
Jan  1 04:02:09 lava kernel: 
Jan  1 04:02:10 lava kernel: 
Jan  1 04:02:10 lava kernel: Code: 39 6e 44 8b 1b 75 e8 8b 7c 24 34 39
7e 0c 75 df 8b 57 4c 85 
Jan  1 04:02:55 lava kernel:  <1>Unable to handle kernel paging
request at virtual address 10101044
Jan  1 04:02:55 lava kernel:  printing eip:
Jan  1 04:02:55 lava kernel: c015c4e1
Jan  1 04:02:55 lava kernel: *pde = 00000000
Jan  1 04:02:55 lava kernel: Oops: 0000
Jan  1 04:02:55 lava kernel: ymfpci ac97_codec uart401 sound soundcore
binfmt_misc parport_pc lp parport autofs ne2k-pci 8390 ipt_REJECT
iptable_filter ip_tables sg sr_mod ide-scsi scsi_m
Jan  1 04:02:55 lava kernel: CPU:    0
Jan  1 04:02:55 lava kernel: EIP:    0060:[<c015c4e1>]    Not tainted
Jan  1 04:02:55 lava kernel: EFLAGS: 00010217
Jan  1 04:02:55 lava kernel: 
Jan  1 04:02:55 lava kernel: EIP is at d_lookup [kernel] 0x61
(2.4.20-20.9)
Jan  1 04:02:55 lava kernel: eax: e7e49f98   ebx: 10101010   ecx:
00000011   edx: e7e00000
Jan  1 04:02:55 lava kernel: esi: 10101000   edi: 00000000   ebp:
b0c549e6   esp: dc2f1e8c
Jan  1 04:02:55 lava kernel: ds: 0068   es: 0068   ss: 0068
Jan  1 04:02:55 lava kernel: Process updatedb (pid: 17479,
stackpage=dc2f1000)
Jan  1 04:02:55 lava kernel: Stack: 00007e46 e8822f1b e5e3d100
e67c1180 10101000 e7e49f98 dc44a000 00000006 
Jan  1 04:02:55 lava kernel:        dc44a000 dc44a006 00000000
dc2f1f48 c01528cb cbc07b80 dc2f1eec dc44a000 
Jan  1 04:02:55 lava kernel:        c0152f19 cbc07b80 dc2f1eec
00000000 00000008 00000000 e10a5d80 00000000 
Jan  1 04:02:55 lava kernel: Call Trace:   [<e8822f1b>] ext3_lookup
[ext3] 0x9b (0xdc2f1e90))
Jan  1 04:02:55 lava kernel: [<c01528cb>] cached_lookup [kernel] 0x1b
(0xdc2f1ebc))
Jan  1 04:02:55 lava kernel: [<c0152f19>] link_path_walk [kernel]
0x3d9 (0xdc2f1ecc))
Jan  1 04:02:55 lava kernel: [<c0153409>] path_lookup [kernel] 0x39
(0xdc2f1f0c))
Jan  1 04:02:55 lava kernel: [<c01536a9>] __user_walk [kernel] 0x49
(0xdc2f1f1c))
Jan  1 04:02:55 lava kernel: [<c014f01f>] vfs_lstat [kernel] 0x1f
(0xdc2f1f38))
Jan  1 04:02:55 lava kernel: [<c014f67b>] sys_lstat64 [kernel] 0x1b
(0xdc2f1f70))
Jan  1 04:02:55 lava kernel: [<c010953f>] system_call [kernel] 0x33
(0xdc2f1fc0))
Jan  1 04:02:55 lava kernel: 
Jan  1 04:02:55 lava kernel: 
Jan  1 04:02:55 lava kernel: Code: 39 6e 44 8b 1b 75 e8 8b 7c 24 34 39
7e 0c 75 df 8b 57 4c 85 
Jan  1 05:00:00 lava kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000034
Jan  1 05:00:00 lava kernel:  printing eip:
Jan  1 05:00:00 lava kernel: c015c4e1
Jan  1 05:00:00 lava kernel: *pde = 00000000
Jan  1 05:00:00 lava kernel: Oops: 0000
Jan  1 05:00:00 lava kernel: ymfpci ac97_codec uart401 sound soundcore
binfmt_misc parport_pc lp parport autofs ne2k-pci 8390 ipt_REJECT
iptable_filter ip_tables sg sr_mod ide-scsi scsi_m
Jan  1 05:00:00 lava kernel: CPU:    0
Jan  1 05:00:00 lava kernel: EIP:    0060:[<c015c4e1>]    Not tainted
Jan  1 05:00:00 lava kernel: EFLAGS: 00010203
Jan  1 05:00:00 lava kernel: 
Jan  1 05:00:00 lava kernel: EIP is at d_lookup [kernel] 0x61
(2.4.20-20.9)
Jan  1 05:00:00 lava kernel: eax: e7ecbd90   ebx: 00000000   ecx:
00000011   edx: e7e00000
Jan  1 05:00:01 lava kernel: esi: fffffff0   edi: 00000000   ebp:
383d8dba   esp: dc1abeb0
Jan  1 05:00:01 lava kernel: ds: 0068   es: 0068   ss: 0068
Jan  1 05:00:01 lava kernel: Process python (pid: 17581,
stackpage=dc1ab000)
Jan  1 05:00:01 lava kernel: Stack: d4f9a01b 00000000 dc1abf48
d4f9a01b fffffff0 e7ecbd90 d4f9a017 00000007 
Jan  1 05:00:01 lava kernel:        d4f9a017 d4f9a01e 00000000
dc1abf84 c01528cb c1fecc00 dc1abf10 d4f9a017 
Jan  1 05:00:01 lava kernel:        c0152f19 c1fecc00 dc1abf10
00000000 00000001 00000000 df4c1580 00000000 
Jan  1 05:00:01 lava kernel: Call Trace:   [<c01528cb>] cached_lookup
[kernel] 0x1b (0xdc1abee0))
Jan  1 05:00:01 lava kernel: [<c0152f19>] link_path_walk [kernel]
0x3d9 (0xdc1abef0))
Jan  1 05:00:01 lava kernel: [<c01536bc>] __user_walk [kernel] 0x5c
(0xdc1abf1c))
Jan  1 05:00:01 lava kernel: [<c0153409>] path_lookup [kernel] 0x39
(0xdc1abf30))
Jan  1 05:00:01 lava kernel: [<c015387e>] open_namei [kernel] 0x7e
(0xdc1abf40))
Jan  1 05:00:01 lava kernel: [<c0146679>] filp_open [kernel] 0x49
(0xdc1abf70))
Jan  1 05:00:01 lava kernel: [<c0146a33>] sys_open [kernel] 0x53
(0xdc1abfa8))
Jan  1 05:00:01 lava kernel: [<c010953f>] system_call [kernel] 0x33
(0xdc1abfc0))
Jan  1 05:00:01 lava kernel: 
Jan  1 05:00:01 lava kernel: 
Jan  1 05:00:01 lava kernel: Code: 39 6e 44 8b 1b 75 e8 8b 7c 24 34 39
7e 0c 75 df 8b 57 4c 85 
Jan  1 05:01:04 lava kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000000
Jan  1 05:01:04 lava kernel:  printing eip:
Jan  1 05:01:04 lava kernel: c015bddd
Jan  1 05:01:04 lava kernel: *pde = 00000000
Jan  1 05:01:04 lava kernel: Oops: 0002
Jan  1 05:01:04 lava kernel: ymfpci ac97_codec uart401 sound soundcore
binfmt_misc parport_pc lp parport autofs ne2k-pci 8390 ipt_REJECT
iptable_filter ip_tables sg sr_mod ide-scsi scsi_m
Jan  1 05:01:04 lava kernel: CPU:    0
Jan  1 05:01:04 lava kernel: EIP:    0060:[<c015bddd>]    Not tainted
Jan  1 05:01:04 lava kernel: EFLAGS: 00010206
Jan  1 05:01:04 lava kernel: 
Jan  1 05:01:04 lava kernel: EIP is at prune_dcache [kernel] 0x2d
(2.4.20-20.9)
Jan  1 05:01:04 lava kernel: eax: c0311dc0   ebx: dcaef298   ecx:
dc5ce000   edx: 00000000
Jan  1 05:01:04 lava kernel: esi: dcaef280   edi: 00000000   ebp:
000010fd   esp: e7ff7f94
Jan  1 05:01:04 lava kernel: ds: 0068   es: 0068   ss: 0068
Jan  1 05:01:04 lava kernel: Process kswapd (pid: 5, stackpage=e7ff7000)
Jan  1 05:01:04 lava kernel: Stack: e5cd0700 dc5ce800 e7ff6000
00000000 000001d0 00000000 c015c214 00001158 
Jan  1 05:01:04 lava kernel:        c013d3fb 00000006 000001d0
e7ff6000 e7ff6000 00000000 e7ff6305 00000000 
Jan  1 05:01:05 lava kernel:        c013d6c3 000001d0 00000002
000001d0 c013d640 00000000 00000000 c010742d 
Jan  1 05:01:05 lava kernel: Call Trace:   [<c015c214>]
shrink_dcache_memory [kernel] 0x24 (0xe7ff7fac))
Jan  1 05:01:05 lava kernel: [<c013d3fb>] do_try_to_free_pages_kswapd
[kernel] 0x1b (0xe7ff7fb4))
Jan  1 05:01:05 lava kernel: [<c013d6c3>] kswapd [kernel] 0x83
(0xe7ff7fd4))
Jan  1 05:01:05 lava kernel: [<c013d640>] kswapd [kernel] 0x0
(0xe7ff7fe4))
Jan  1 05:01:05 lava kernel: [<c010742d>] kernel_thread_helper
[kernel] 0x5 (0xe7ff7ff0))
Jan  1 05:01:05 lava kernel: 
Jan  1 05:01:05 lava kernel: 
Jan  1 05:01:05 lava kernel: Code: 89 02 89 5b 04 89 1b 8b 46 54 a9 08
00 00 00 0f 85 0d 01 00 
Jan  1 12:36:40 lava syslogd 1.4.1: restart.
Comment 1 Dave Jones 2004-01-08 10:14:30 EST
Things to try.
1) As this only appeared when after you upgraded dimms, try running
memtest86 for a day or two. Sometimes it takes a while for something
to show up.

2) Try the errata kernel. As well as a few security hole fixes, it has
a number of VM related improvements.
Comment 2 Jim Hanley 2004-03-26 07:28:18 EST
I tried the errata kernel first but the problem still persisted... 
so...

I ran memtest86 for over a week now (the clock says the test has been 
going for over 200 hours) and there are no problems that show up.

Where should I go from here?
Comment 3 Jim Hanley 2004-04-11 10:20:55 EDT
Upgraded distro to fedora 1 and kernel 2.4.22-1.2174.nptl and although
the problem seems to be aleviated, it still creeps up in the machine
after a few days of use.

From /var/log/messages

Apr  8 15:45:01 lava kernel: memory.c:101: bad pmd 00400000.
Apr  8 19:00:41 lava kernel: memory.c:101: bad pmd 00400000.
Apr  8 19:51:49 lava kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000004
Apr  8 19:51:49 lava kernel:  printing eip:
Apr  8 19:51:49 lava kernel: c015ac72
Apr  8 19:51:49 lava kernel: *pde = 01c0d067
Apr  8 19:51:49 lava kernel: *pte = 00000000
Apr  8 19:51:49 lava kernel: Oops: 0000
Apr  8 19:51:49 lava kernel: ymfpci ac97_codec uart401 sound soundcore
parport_pc lp parport autofs ne2k-pci 8390 ipt_state ip_conntrack
ipt_REJECT iptable_filter ip_tables floppy sg sr_m
Apr  8 19:51:49 lava kernel: CPU:    0
Apr  8 19:51:49 lava kernel: EIP:    0060:[<c015ac72>]    Not tainted
Apr  8 19:51:49 lava kernel: EFLAGS: 00010213
Apr  8 19:51:49 lava kernel:
Apr  8 19:51:49 lava kernel: EIP is at prune_icache [kernel] 0x32
(2.4.22-1.2174.nptl)
Apr  8 19:51:49 lava kernel: eax: caa80088   ebx: 00000000   ecx:
00000006   edx: 00000001
Apr  8 19:51:49 lava kernel: esi: caa80180   edi: 00000000   ebp:
000015dd   esp: c17bff18
Apr  8 19:51:49 lava kernel: ds: 0068   es: 0068   ss: 0068
Apr  8 19:51:49 lava kernel: Process kswapd (pid: 5, stackpage=c17bf000)
Apr  8 19:51:49 lava kernel: Stack: e7fc41d8 00000000 c17bff20
c17bff20 00000000 c1090ce0 c0340758 000041cb
Apr  8 19:51:49 lava kernel:        c015ae34 000015dd c013b182
00000006 000001d0 c17be000 ffffffff 000001d0
Apr  8 19:51:49 lava kernel:        00000001 00000020 000001d0
c0340758 c0340758 c013b53d c17bff90 000001d0
Apr  8 19:51:50 lava kernel: Call Trace:   [<c015ae34>]
shrink_icache_memory [kernel] 0x24 (0xc17bff38)
Apr  8 19:51:50 lava kernel: [<c013b182>] shrink_cache [kernel] 0x182
(0xc17bff40)
Apr  8 19:51:50 lava kernel: [<c013b53d>] shrink_caches [kernel] 0x3d
(0xc17bff6c)
Apr  8 19:51:50 lava kernel: [<c013b5c2>] try_to_free_pages_zone
[kernel] 0x62 (0xc17bff80)
Apr  8 19:51:50 lava kernel: [<c013b76c>] kswapd_balance_pgdat
[kernel] 0x6c (0xc17bffa4)
Apr  8 19:51:50 lava kernel: [<c013b7d8>] kswapd_balance [kernel] 0x28
(0xc17bffbc)
Apr  8 19:51:50 lava kernel: [<c013b91d>] kswapd [kernel] 0x9d
(0xc17bffcc)
Apr  8 19:51:50 lava kernel: [<c013b880>] kswapd [kernel] 0x0 (0xc17bffe4)
Apr  8 19:51:50 lava kernel: [<c010734d>] kernel_thread_helper
[kernel] 0x5 (0xc17bfff0)
Apr  8 19:51:51 lava kernel:
Apr  8 19:51:51 lava kernel:
Apr  8 19:51:51 lava kernel: Code: 8b 5b 04 8d 77 f8 8b 86 08 01 00 00
a9 38 00 00 00 75 0c 0b
Apr  8 19:51:54 lava kernel:  <1>Unable to handle kernel NULL pointer
dereference at virtual address 00000004
Apr  8 19:51:54 lava kernel:  printing eip:
Apr  8 19:51:54 lava kernel: c015ac72
Apr  8 19:51:54 lava kernel: *pde = 01c0d067
Apr  8 19:51:54 lava kernel: *pte = 00000000
Apr  8 19:51:54 lava kernel: Oops: 0000
Apr  8 19:51:54 lava kernel: ymfpci ac97_codec uart401 sound soundcore
parport_pc lp parport autofs ne2k-pci 8390 ipt_state ip_conntrack
ipt_REJECT iptable_filter ip_tables floppy sg sr_m
Apr  8 19:51:54 lava kernel: CPU:    0
Apr  8 19:51:54 lava kernel: EIP:    0060:[<c015ac72>]    Not tainted
Apr  8 19:51:54 lava kernel: EFLAGS: 00010213
Apr  8 19:51:54 lava kernel:
Apr  8 19:51:54 lava kernel: EIP is at prune_icache [kernel] 0x32
(2.4.22-1.2174.nptl)
Apr  8 19:51:54 lava kernel: eax: caa80088   ebx: 00000000   ecx:
00000006   edx: 00000000
Apr  8 19:51:54 lava kernel: esi: caa80180   edi: 00000000   ebp:
00002294   esp: cf5a1de4
Apr  8 19:51:54 lava kernel: ds: 0068   es: 0068   ss: 0068
Apr  8 19:51:54 lava kernel: Process mozilla-bin (pid: 4645,
stackpage=cf5a1000)
Apr  8 19:51:54 lava kernel: Stack: e7fc41d8 00000000 cf5a1dec
cf5a1dec 00000000 c15a9c80 c0340758 000045c4
Apr  8 19:51:54 lava kernel:        c015ae34 00002294 c013b182
00000006 000001d2 cf5a0000 ffffffff 000001d2
Apr  8 19:51:54 lava kernel:        00000001 00000019 000001d2
c0340758 c0340758 c013b53d cf5a1e5c 000001d2
Apr  8 19:51:54 lava kernel: Call Trace:   [<c015ae34>]
shrink_icache_memory [kernel] 0x24 (0xcf5a1e04)
Apr  8 19:51:54 lava kernel: [<c013b182>] shrink_cache [kernel] 0x182
(0xcf5a1e0c)
Apr  8 19:51:54 lava kernel: [<c013b53d>] shrink_caches [kernel] 0x3d
(0xcf5a1e38)


and a crapload more... it eventually locks up on with these last set
of messages..

Apr 11 04:24:18 lava kernel: Oops: 0000
Apr 11 04:24:18 lava kernel: ymfpci ac97_codec uart401 sound soundcore
parport_pc lp parport autofs ne2k-pci 8390 ipt_state ip_conntrack
ipt_REJECT iptable_filter ip_tables floppy sg sr_m
Apr 11 04:24:18 lava kernel: CPU:    0
Apr 11 04:24:18 lava kernel: EIP:    0060:[<c0139fe0>]    Not tainted
Apr 11 04:24:18 lava kernel: EFLAGS: 00010007
Apr 11 04:24:18 lava kernel:
Apr 11 04:24:18 lava kernel: EIP is at kmem_cache_alloc [kernel] 0x50
(2.4.22-1.2174.nptl)
Apr 11 04:24:18 lava kernel: eax: 080f0120   ebx: 080f0120   ecx:
d188b100   edx: 00000200
Apr 11 04:24:18 lava kernel: esi: e7fc4244   edi: 00000246   ebp:
00000029   esp: e1505ed0
Apr 11 04:24:18 lava kernel: ds: 0068   es: 0068   ss: 0068
Apr 11 04:24:18 lava kernel: Process trivial-rewrite (pid: 10168,
stackpage=e1505000)
Apr 11 04:24:18 lava kernel: Stack: 002089f0 ca0b8480 c0381bc4
00000000 00000002 c179d800 c0159a4c e7fc4244
Apr 11 04:24:18 lava kernel:        000001f0 c0381bc4 00000001
00000002 bff8f06c c015aedf c179d800 c0206e27
Apr 11 04:24:18 lava kernel:        c179d800 c0a4ab00 002089f0
00000000 e1504000 c0381bc4 c0207886 00000286
Apr 11 04:24:18 lava kernel: Call Trace:   [<c0159a4c>] alloc_inode
[kernel] 0xfc (0xe1505ee8)
Apr 11 04:24:18 lava kernel: [<c015aedf>] new_inode [kernel] 0xf
(0xe1505f04)
Apr 11 04:24:18 lava kernel: [<c0206e27>] sock_alloc [kernel] 0x17
(0xe1505f0c)
Apr 11 04:24:18 lava kernel: [<c0207886>] sock_create [kernel] 0x66
(0xe1505f28)
Apr 11 04:24:18 lava kernel: [<c0131fc7>] unmap_fixup [kernel] 0x187
(0xe1505f3c)
Apr 11 04:24:19 lava kernel: [<c020796b>] sys_socket [kernel] 0x2b
(0xe1505f64)
Apr 11 04:24:19 lava kernel: [<c0208852>] sys_socketcall [kernel] 0x72
(0xe1505f80)
Apr 11 04:24:19 lava kernel: [<c0117ac0>] do_page_fault [kernel] 0x0
(0xe1505fb0)
Apr 11 04:24:19 lava kernel: [<c0109838>] error_code [kernel] 0x34
(0xe1505fb8)
Apr 11 04:24:19 lava kernel: [<c0109747>] system_call [kernel] 0x33
(0xe1505fc0)
Apr 11 04:24:19 lava kernel:
Apr 11 04:24:19 lava kernel:
Apr 11 04:24:19 lava kernel: Code: 8b 44 81 18 0f af da 89 41 14 01 eb
40 74 18 57 9d 89 d8 8b
Apr 11 04:25:00 lava kernel:  <1>Unable to handle kernel paging
request at virtual address f1c4b598
Apr 11 04:25:00 lava kernel:  printing eip:
Apr 11 04:25:00 lava kernel: c0139fe0
Apr 11 04:25:00 lava kernel: *pde = 00000000
Apr 11 04:25:00 lava kernel: Oops: 0000
Apr 11 04:25:00 lava kernel: ymfpci ac97_codec uart401 sound soundcore
parport_pc lp parport autofs ne2k-pci 8390 ipt_state ip_conntrack
ipt_REJECT iptable_filter ip_tables floppy sg sr_m
Apr 11 04:25:00 lava kernel: CPU:    0
Apr 11 04:25:00 lava kernel: EIP:    0060:[<c0139fe0>]    Not tainted
Apr 11 04:25:00 lava kernel: EFLAGS: 00010007
Apr 11 04:25:00 lava kernel:
Apr 11 04:25:00 lava kernel: EIP is at kmem_cache_alloc [kernel] 0x50
(2.4.22-1.2174.nptl)
Apr 11 04:25:00 lava kernel: eax: 080f0120   ebx: 080f0120   ecx:
d188b100   edx: 00000200
Apr 11 04:25:00 lava kernel: esi: e7fc4244   edi: 00000246   ebp:
00000029   esp: e1505efc
Apr 11 04:25:00 lava kernel: ds: 0068   es: 0068   ss: 0068
Apr 11 04:25:00 lava kernel: Process crond (pid: 10169,
stackpage=e1505000)
Apr 11 04:25:00 lava kernel: Stack: ca0b8480 ca0b84a4 e1504000
00000000 bff368e0 c1792000 c0159a4c e7fc4244
Apr 11 04:25:00 lava kernel:        000001f0 e1504000 dea14280
bff368e0 ffffffe9 c015aedf c1792000 c014e957
Apr 11 04:25:00 lava kernel:        c1792000 e1504000 c014ea11
bff366b0 e1505fa4 e1505f90 c012987b 00000011
Apr 11 04:25:00 lava kernel: Call Trace:   [<c0159a4c>] alloc_inode
[kernel] 0xfc (0xe1505f14)
Apr 11 04:25:00 lava kernel: [<c015aedf>] new_inode [kernel] 0xf
(0xe1505f30)
Apr 11 04:25:00 lava kernel: [<c014e957>] get_pipe_inode [kernel] 0x17
(0xe1505f38)
Apr 11 04:25:00 lava kernel: [<c014ea11>] do_pipe [kernel] 0x31
(0xe1505f44)
Apr 11 04:25:00 lava kernel: [<c012987b>] sys_rt_sigaction [kernel]
0xab (0xe1505f54)
Apr 11 04:25:00 lava kernel: [<c010f183>] sys_pipe [kernel] 0x23
(0xe1505fa0)
Apr 11 04:25:00 lava kernel: [<c0109747>] system_call [kernel] 0x33
(0xe1505fc0)
Apr 11 04:25:00 lava kernel:
Apr 11 04:25:00 lava kernel:
Apr 11 04:25:00 lava kernel: Code: 8b 44 81 18 0f af da 89 41 14 01 eb
40 74 18 57 9d 89 d8 8b
Comment 4 Jim Hanley 2004-04-30 11:02:19 EDT
What other additional information should I provide to expedite the
resolution of this issue?

I have swap split across two disks (and two controllers) for a total
of 1.28GB (each swap is 640mb)

Is there a way to verify that there is no problem with the disk
without being destructive.
Comment 5 Jim Hanley 2004-08-18 20:12:06 EDT
This issue is still not resolved.  Has there been any other user with
this type of issue?
Comment 6 Bugzilla owner 2004-09-30 11:41:46 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/
Comment 7 Vishweshwar Rao.N 2005-06-05 05:59:06 EDT
(In reply to comment #5)
> This issue is still not resolved.  Has there been any other user with
> this type of issue?
> 

Dear Jim,
I faced the same problem on Redhat Enterprise AS 3.0 with an uptime of 80 days
on IBM P4 1.6 Ghz with 256 RAM and 512 MB swap. I tried changing the APM setting
in BIOS and disabled the TIMEOUT option for Harddisk and Furthur i checked that
my power supply to harddisk was not proper so changed the Power extension P1 to
P3 making it independent from Slave or other drives.
After i restarted the system performed enhanced memory test and system booted
normally and is working fine. I removed the driver setting for Adaptec SCSI card
and Intel Card that were removed from my PC.. so kudzu went fine.
I am investigating the /var/log/bandwidth file and /var/log/bootlog ...couldnt
understand any ...still working


Vishweshwar Rao.N

Note You need to log in before you can comment on or make changes to this bug.